GCS Sources (Beta)

Overview

The GCS Sources API endpoints are in open beta starting with Panther version 1.121, and is available to all customers. Please share any bug reports and feature requests with your Panther support team.

Use these API operations to interact with Google Cloud Storage (GCS) Sources in Panther.

Required permissions

  • For GET operations, your API token must have the View Log Sources permission.

  • For POST, PUT, and DELETE operations, your API token must have the Manage Log Sources permission.

Operations

get gcs source

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the GCS source to fetch

Responses
200

OK response.

application/json
credentialsstringOptional

The GCP credentials JSON content (service account key or WIF config). Required on create, optional on update.

credentialsTypestring · enumOptional

The type of credentials being used: service_account or wif (Workload Identity Federation).

Possible values:
gcsBucketstringOptional

The GCS bucket name

integrationIdstringOptional

The id of the GCS source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
projectIdstringOptional

The GCP project ID. Optional for service_account credentials. Required for WIF.

subscriptionIdstringOptional

The GCP Pub/Sub subscription ID used to receive GCS bucket notifications

get
/log-sources/gcs/{id}

put gcs source

put
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the GCS source to update

Body
credentialsstringOptional

The GCP credentials JSON content (service account key or WIF config). Required on create, optional on update.

credentialsTypestring · enumRequired

The type of credentials being used: service_account or wif (Workload Identity Federation).

Possible values:
gcsBucketstringRequired

The GCS bucket name

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
projectIdstringOptional

The GCP project ID. Optional for service_account credentials. Required for WIF.

subscriptionIdstringRequired

The GCP Pub/Sub subscription ID used to receive GCS bucket notifications

Responses
200

OK response.

application/json
credentialsstringOptional

The GCP credentials JSON content (service account key or WIF config). Required on create, optional on update.

credentialsTypestring · enumOptional

The type of credentials being used: service_account or wif (Workload Identity Federation).

Possible values:
gcsBucketstringOptional

The GCS bucket name

integrationIdstringOptional

The id of the GCS source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
projectIdstringOptional

The GCP project ID. Optional for service_account credentials. Required for WIF.

subscriptionIdstringOptional

The GCP Pub/Sub subscription ID used to receive GCS bucket notifications

put
/log-sources/gcs/{id}

create gcs source

post
Authorizations
X-API-KeystringRequired
Body
credentialsstringOptional

The GCP credentials JSON content (service account key or WIF config). Required on create, optional on update.

credentialsTypestring · enumRequired

The type of credentials being used: service_account or wif (Workload Identity Federation).

Possible values:
gcsBucketstringRequired

The GCS bucket name

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
projectIdstringOptional

The GCP project ID. Optional for service_account credentials. Required for WIF.

subscriptionIdstringRequired

The GCP Pub/Sub subscription ID used to receive GCS bucket notifications

Responses
post
/log-sources/gcs

delete gcs source

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the GCS source to delete

Responses
delete
/log-sources/gcs/{id}

No content

Last updated

Was this helpful?